Page MenuHomePhabricator

Adapt Save-, Preview- and Cancel buttons to new version (No. 8)
Closed, ResolvedPublic8 Estimated Story Points

Description

Motivation
Users on the edit conflict page should have a similar experience to editing a "normal" page, when it comes to handling the changes.

Acceptance Criteria

  • The buttons "Publish changes", "Show preview" , "Show changes" and "Cancel" work equally as on an edited article page

Screenshot of current article footer

BDD definitions
Given I am on the edit conflict page
When I click on "Preview Changes"
Then I see a preview of the article above the resolution screen
And the page is scrolled up to the preview.

Given I am on the edit conflict page
When I click on "Show Changes"
Then I see a diff of the changes above the resolution screen
And the page is scrolled up to the diff.

Given I am on the edit conflict page
When I click on "Cancel"
Then I am requested to confirm the cancellation
WhenI confirm the cancellation
Then I see the reading version of the article I am on

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Vvjjkkii renamed this task from Adapt Save-, Preview- and Cancel buttons to new version (No. 8) to j6baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from j6baaaaaaa to Adapt Save-, Preview- and Cancel buttons to new version (No. 8).Jul 2 2018, 3:36 PM
CommunityTechBot changed the task status from Open to Stalled.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

It is yet unclear which possibilities of a preview we will have. The Save button should say "Save changes". More nneds to be discussed.
Stalled until the whole scope is clarified.

@Lea_WMDE : Sorry maybe this question was already answered and I do not remember exactly. I leave that ping here just so it does not get lost. Reopen the ticket if needed.

Lea_WMDE reopened this task as Open.Sep 5 2018, 3:44 PM

Reopening since we should discuss again what the status is here

The Save button should say "Save changes".

It should be called Publish changes, see the discussion on T131132 and T202052.

Lea_WMDE triaged this task as Medium priority.Sep 12 2018, 2:35 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Sep 13 2018, 7:40 AM
Lea_WMDE set the point value for this task to 8.Sep 13 2018, 2:56 PM

This includes browser tests

WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-09-13 board.

One other question:

We want to have the buttons available during the "normal" conflict process, that's clear. But do we also want to have a Diff with the simulation page? I think we talked about it, but I just realized, that we did not have this before the redesign and wondered if it is really part of this ticket. @Lea_WMDE ^^'

One other question:

We want to have the buttons available during the "normal" conflict process, that's clear. But do we also want to have a Diff with the simulation page? I think we talked about it, but I just realized, that we did not have this before the redesign and wondered if it is really part of this ticket. @Lea_WMDE ^^'

We just had a quick talk and decided, that for the MVP-ish version we want to implement currently this is not needed. I create a follow up ticket though because it would still be very useful.

For the simulation page see T206746

Change 466853 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Re-enable diff and preview buttons

https://gerrit.wikimedia.org/r/466853

Change 466937 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] [WIP] Add conflict screen to preview and diff

https://gerrit.wikimedia.org/r/466937

Change 466853 merged by WMDE-Fisch:
[mediawiki/extensions/TwoColConflict@master] Re-enable diff and preview buttons

https://gerrit.wikimedia.org/r/466853

WMDE-Fisch added subscribers: Andrew-WMDE, thiemowmde.

So simply re-enabling the preview and diff buttons ( on a "real" conflict page ) is done. - Including the diff view to these page seems a bit more complicated. There's a very rough WIP patch from my side. But there still seem to be issues with it ( apart from it being probably "hacky" ).

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/TwoColConflict/+/466937/

I will give this work into the open due to my absence for the next days. @Andrew-WMDE wanted to give it a quick try today if time allows, otherwise maybe @thiemowmde finds a way. :-)

thiemowmde removed Andrew-WMDE as the assignee of this task.Oct 30 2018, 9:03 AM
thiemowmde moved this task from Doing to Sprint Backlog on the WMDE-QWERTY-Sprint-2018-10-23 board.
thiemowmde removed a project: Patch-For-Review.

Change 471062 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Add tests and one new feature to SplitConflictMerger

https://gerrit.wikimedia.org/r/471062

thiemowmde moved this task from Doing to Review on the WMDE-QWERTY-Sprint-2018-09-13 board.
thiemowmde moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2018-10-23 board.

Change 471062 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add tests and one new feature to SplitConflictMerger

https://gerrit.wikimedia.org/r/471062

Change 466937 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add conflict screen to preview and diff

https://gerrit.wikimedia.org/r/466937

So what I see right now is

  • no preview or diff buttons
  • a cancel link, but when I click on it, there is no confirmation
thiemowmde added a subscriber: jkroll.

I checked all this and run out of ideas for the moment, unfortunately.

  • I have a hard time doing tests at https://tools.wmflabs.org/wmde-editconflict-test/core/index.php, as I don't have a second account there and can't create one. So I'm doing all my tests locally.
  • I checked Special:Version, and the setup on tools.wmflabs is up to date.
  • For me, the diff and preview buttons show up, as well as the confirmation dialog when clicking cancel. See the attached screenshot.
  • Note the simulation page does not have these buttons.

Technical details:

  • There is a JavaScript module mediawiki.confirmCloseWindow in core responsible for the confirmation dialog (which shows either "Leaving this page may cause you to lose any changes you have made. […]" or Firefox' default message).
  • It is activated via resources/src/mediawiki.action/mediawiki.action.edit.editWarning.js. This still runs in the background of our conflict resolution page, as it is part of the regular editor we replaced.
  • There is a "test" function with a check for wgAction = "submit", which is true for us and results in showing the dialog.

Totally unrelated:

  • On Special:Version I noticed our extension is listed as "other". Wouldn't it make sense to list it as an "editor"?

oh no, sorry Thiemo, I automatically used the simulation patch :/ Oh man. So basically, we cannot really test this until it is live, right?

I can demonstrate it on my machine – which doesn't help you. :-( Can @WMDE-Fisch create a second account on the the tools.wmflabs.org/wmde-editconflict-test machine, and share the credentials with us?

I should be able to test it live on Thursday anyways, shouldn't I? So I suggest in this special situation not doing anything and I will test it on Thursday afternoon / Friday day.

Change 472409 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Disable wmgUseTwoColConflict everywhere

https://gerrit.wikimedia.org/r/472409

Change 472409 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable wmgUseTwoColConflict everywhere

https://gerrit.wikimedia.org/r/472409

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-11-08T10:52:29Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Disable wmgUseTwoColConflict everywhere T209012 T208840 T195724 (duration: 00m 58s)

Lea_WMDE closed this task as Resolved.Nov 22 2018, 12:00 PM
Lea_WMDE awarded a token.
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-10-23 board.